#!/bin/bash

# VERSION 0.2

# folder to put sources from src.rpm
LOCALSOURCEDIR=${LOCALSOURCEDIR:-"SOURCES"}
#LOCALSOURCEDIR="SOURCES"
# folder to put spec from src.rpm
LOCALSPECDIR=${LOCALSPECDIR:-"."}
#LOCALSPECDIR="."

NAME=`rpm -qp $1 --qf "%{NAME}\n" |head -1`
TOPDIR=`pwd`/$NAME
SPECDIR=$TOPDIR/$LOCALSPECDIR
SOURCEDIR=$TOPDIR/$LOCALSOURCEDIR

echo NAME=$NAME
echo SOURCEDIR=$SOURCEDIR
echo SPECDIR=$SPECDIR

rpm -i  --define "_specdir $SPECDIR" --define "_sourcedir $SOURCEDIR" $1

echo "unzipping patches..."
for i in $SOURCEDIR/*.patch.gz $SOURCEDIR/*.diff.gz; do [ -e $i ] && gunzip $i; done
for i in $SOURCEDIR/*.patch.bz2 $SOURCEDIR/*.diff.bz2; do [ -e $i ] && bunzip $i; done

echo "creating GNUmakefile..."
if [ -e spec2make.pl ] 
    then
    perl spec2make.pl $SPECDIR/*.spec > $TOPDIR/GNUmakefile
    else
    if which spec2make.pl
	then 
	spec2make.pl $SPECDIR/*.spec > $TOPDIR/GNUmakefile
    else
	echo spec2make.pl not found. please, run it manually.
    fi
fi

